VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IHandler Class Referenceabstract

`#include <xmlparser.h>`

## Public Member Functions
virtual void | startXmlElement (Parser *parser, IdStringPtr elementName, UTF8StringPtr *elementAttributes)=0
virtual void | endXmlElement (Parser *parser, IdStringPtr name)=0
virtual void | xmlCharData (Parser *parser, const int8_t *data, int32_t length)=0
virtual void | xmlComment (Parser *parser, IdStringPtr comment)=0

## Member Function Documentation

## ◆ endXmlElement()

virtual void endXmlElement | ( | Parser * | parser,
|  | IdStringPtr | name )
| pure virtual

## ◆ startXmlElement()

virtual void startXmlElement | ( | Parser * | parser,
|  | IdStringPtr | elementName,
|  | UTF8StringPtr * | elementAttributes )
| pure virtual

## ◆ xmlCharData()

virtual void xmlCharData | ( | Parser * | parser,
|  | const int8_t * | data,
|  | int32_t | length )
| pure virtual

## ◆ xmlComment()

virtual void xmlComment | ( | Parser * | parser,
|  | IdStringPtr | comment )
| pure virtual

The documentation for this class was generated from the following file:

- xmlparser.h